SSL
All operations require authentication.
Get the SSL certificateProduction
Returns the provider, type and status of the SSL certificate of the hosting.
Path parameters
Service name
Response
If the hostedssl is currently bound to a report
Provider of the Hosted SSL
COMODOCUSTOMLETSENCRYPTSECTIGORegenerable flag
Status of the Hosted SSL
createdcreatingdeletingimportingregeneratingThe task ID working on this Hosted SSL
Type of the Hosted SSL
CUSTOMDVEVExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}
List SSL certificate domainsProduction
Returns the domains covered by the SSL certificate of the hosting.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ssl/ domains \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get the SSL certificate reportProduction
Returns the status of each validation check run by the certification authority for the certificate of the hosting.
Path parameters
Service name
Response
"Certificate signing request" test status done by certification authority
completedin-progressnon-completednon-requirednot-applicablenot-provided"Domain control validation" test status done by certification authority
completedin-progressnon-completednon-requirednot-applicablenot-providedApplicant's legal status obtained or verified directly with registration agency
completedin-progressnon-completednon-requirednot-applicablenot-providedApproval verified through a phone call to the contract signer
completedin-progressnon-completednon-requirednot-applicablenot-providedThe order ID from given hostedssl provider
Terms and conditions agreements acceptance
completedin-progressnon-completednon-requirednot-applicablenot-providedTrade name verified directly with registration agency or through a verified third party
completedin-progressnon-completednon-requirednot-applicablenot-providedExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ssl/ report \
-H "authorization: Bearer $OVH_TOKEN"{ "certificateSigningRequestStatus": "completed", "domainControlValidationStatus": "completed", "organizationValidationStatus": "completed", "phoneCallApprovalStatus": "completed", "providerOrderId": "string", "termsAndConditionsAcceptanceStatus": "completed", "tradeNameVerificationStatus": "completed"}
List SSL certificatesBeta
Returns the SSL certificates of the hosting, with their type, domains and expiration date.
Path parameters
Name
Headers
Pagination cursor
Pagination size
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the SSL
Ongoing asynchronous tasks related to the SSL
Unique identifier of the SSL
Webhosting SSL readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ webhosting/ resource/ {name}/ certificate \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "additionalDomains": [ "string" ], "certificateType": "COMODO", "createdAt": "2024-01-01T12:00:00Z", "expiredAt": "2024-01-01T12:00:00Z", "mainDomain": "string", "state": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]
Create or import an SSL certificateProduction
Creates the free Let's Encrypt SSL certificate of the hosting. To import a custom certificate instead, send the certificate, its private key and its chain.
Path parameters
Service name
Request body (required)
certificate
certificate chain
private key
Response
If the hostedssl is currently bound to a report
Provider of the Hosted SSL
COMODOCUSTOMLETSENCRYPTSECTIGORegenerable flag
Status of the Hosted SSL
createdcreatingdeletingimportingregeneratingThe task ID working on this Hosted SSL
Type of the Hosted SSL
CUSTOMDVEVExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}
Regenerate the SSL certificateProduction
Regenerates the SSL certificate of the hosting.
Path parameters
Service name
Response
If the hostedssl is currently bound to a report
Provider of the Hosted SSL
COMODOCUSTOMLETSENCRYPTSECTIGORegenerable flag
Status of the Hosted SSL
createdcreatingdeletingimportingregeneratingThe task ID working on this Hosted SSL
Type of the Hosted SSL
CUSTOMDVEVExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ssl/ regenerate \
-H "authorization: Bearer $OVH_TOKEN"{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}
Delete the SSL certificateProduction
Deletes the SSL certificate of the hosting.
Path parameters
Service name
Response
If the hostedssl is currently bound to a report
Provider of the Hosted SSL
COMODOCUSTOMLETSENCRYPTSECTIGORegenerable flag
Status of the Hosted SSL
createdcreatingdeletingimportingregeneratingThe task ID working on this Hosted SSL
Type of the Hosted SSL
CUSTOMDVEVExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}